
From: Dominik Brodowski <linux@dominikbrodowski.net>

Fix pcmcia-cs compilation with recent pcmcia kernel changes.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/pcmcia/ds.h |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN include/pcmcia/ds.h~pcmcia-fix-pcmcia-cs-compilation include/pcmcia/ds.h
--- 25/include/pcmcia/ds.h~pcmcia-fix-pcmcia-cs-compilation	Mon Jul 11 17:25:38 2005
+++ 25-akpm/include/pcmcia/ds.h	Mon Jul 11 17:25:38 2005
@@ -16,10 +16,13 @@
 #ifndef _LINUX_DS_H
 #define _LINUX_DS_H
 
+#ifdef __KERNEL__
+#include <linux/mod_devicetable.h>
+#endif
+
 #include <pcmcia/bulkmem.h>
 #include <pcmcia/cs_types.h>
 #include <pcmcia/device_id.h>
-#include <linux/mod_devicetable.h>
 
 typedef struct tuple_parse_t {
     tuple_t		tuple;
_
